| FoxitPDFSDKforWeb v11.0.5 Archives Foxit PDF SDK for Web

Public Member Functions | List of all members
SignatureWorkflowService Class Reference
PDF » form

This class is used to record the settings information required for signatures and custom verification handlers. The recorded information will be used in the SDK's built-in signature UI. More...

## Public Member Functions
| overrideSigningWorkflow (signingWorkflowHandler:SigningWorkflowHandler)
| Overrides the default signing workflow for all signature fields. More...
| overrideVerifyWorkflow (verifyCallback:VerifyWorkflowHandler)
| Overrides the verify workflow for all signature fields. More...
| setSignerOverridePolicy (verridePolicy:SignerOverridePolicy)
| Sets the override policy for the signer. More...

## Detailed Description

This class is used to record the settings information required for signatures and custom verification handlers. The recorded information will be used in the SDK's built-in signature UI.

Since
  11.0.0

See also
  PDFUI.getSignatureWorkflowService

## Member Function Documentation

## ◆ overrideSigningWorkflow()

SignatureWorkflowService::overrideSigningWorkflow | ( |  | signingWorkflowHandler:SigningWorkflowHandler | ) |
| inline

Overrides the default signing workflow for all signature fields.

When a custom signing workflow handler is provided, it will be used to manage the signing process.

If a custom signing workflow handler is set, the viewer will invoke the callback whenever the user clicks on a signature field to sign it. The callback should return the signing settings to be used for the signature.

Example:

const service = pdfui.getSignatureWorkflowService();
service.overrideSigningWorkflow(async (field) => {
// Implement logic to determine the signing settings
return {
filter: 'Adobe.PPKLite',
subfilter: 'adbe.pkcs7.detached',
signer: 'Signer Name',
distinguishName: '',
location: '',
reason: '',
defaultContentsLength: 0,
flag: 0,
sign: async (signInfo: object, plainBuffer: ArrayBuffer) => {
// Implement logic to sign the document
return plainBuffer;
}
}
});

Parameters

  signingWorkflowHandler | SigningWorkflowHandler - The custom signing workflow handler.

Returns
  void -

Since
  11.0.0

## ◆ overrideVerifyWorkflow()

SignatureWorkflowService::overrideVerifyWorkflow | ( |  | verifyCallback:VerifyWorkflowHandler | ) |
| inline

Overrides the verify workflow for all signature fields.

If a custom verify callback is set, it will be used to verify the signature.

Example:

const service = pdfui.getSignatureWorkflowService();
service.overrideVerifyWorkflow(async (signature) => {
// Implement logic to verify the signature
return 0;
});

Parameters

  verifyCallback | VerifyWorkflowHandler - The verify callback to call.

Returns
  void -

Since
  11.0.0

## ◆ setSignerOverridePolicy()

SignatureWorkflowService::setSignerOverridePolicy | ( |  | verridePolicy:SignerOverridePolicy | ) |
| inline

Sets the override policy for the signer.

If the policy is set, the viewer will call the policy when the user clicks on a signed signature field to show its properties. The policy can choose to override the signer name with a custom one.

Example:

const service = pdfui.getSignatureWorkflowService();
service.setSignerOverridePolicy(async (field) => {
// Implement logic to determine the signer
return 'the signer';
});

Parameters

  verridePolicy | SignerOverridePolicy - The override policy to set.

Returns
  void -

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.